#!/bin/sh
####################################################
# Script de mise a jour du fichier FRANCAIS.ENT    #
#      pour logiciel serveur de type F6FBB         #
#                                                  #
#             *** Version Linux ***                #
#                                                  #
#            MALSACRE Jean-Marie                   #
#            F5RJI @ F5RJI.FPOC.FRA.EU             #
#            (c) F5RJI Nov 93                      #
#            et F5SOH Dec 99   f5soh@bifoot.com    #
#                                                  #
####################################################
#
AJOUT="/dev/null"
#
# Recuperation de la date systeme au format JJMM
#
JOUR=`date +%d%m`
#
# Recuperation des chemins pour les fichiers dans le .ini 
#
. fbbsaint.conf
#
# Recherche de la ligne du jour dans le fichier texte.
#
LIGNE=`grep $JOUR $DATASAINT`
#
# Recuperation des variables DATE et SAINT du fichier texte.
#
DATE=`expr "$LIGNE" : '.*/\(.*\)/.*'` 
SAINT=`expr "$LIGNE" : '.*/\(.*\)/*'`
#
# Creation du fichier d'entree de la bbs (francais.ent)
#
cat $AJOUT > $OUTSAINT
echo "\
                    Nous sommes le $DATE
	            La fete du jour est : $SAINT

" >> $OUTSAINT